#define NUM_PLAYERS 4

// ------------------------------------------------------------------
// Global Variables
// ------------------------------------------------------------------
extern char        szAppName[];
extern char        szClassName[];

extern HINSTANCE   g_hInst;			        // instance handle
extern HWND        g_hWnd;				        // window handle

extern BOOL        g_IsAppActive;			    // is the app active

// ------------------------------------------------------------------
// CDX Objects
// ------------------------------------------------------------------
extern CDXScreen   * Screen;	    // The screen object, every program must have one
extern CDXInput    * Input;        // The input object
extern CDXSurface  * BG;		// The Background image
extern CDXTile	   * Tiles;		// The piece tiles
extern CDXBitmapFont * ScoreFont;


// The Tetris game-logic object
extern CTetris		* Tetris[NUM_PLAYERS];


// Game-state variables
enum {STATE_INIT, STATE_MAIN, STATE_DEINIT};
extern int g_iGameState;


extern int g_iHighScore;

extern CDXHPC tmr;

extern int iRandNumbers[10000];

void initRand();
int myrand(int iNum);
